CUTLASS: cutlass::library::Operation Class Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
cutlass::library::Operation Class Referenceabstract

Base class for all device-wide operations.

`#include <library.h>`

## Public Member Functions
virtual | ~Operation ()
virtual OperationDescription const & | description () const =0
virtual Status | can_implement (void const *configuration, void const *arguments) const =0
virtual uint64_t | get_host_workspace_size (void const *configuration) const =0
virtual uint64_t | get_device_workspace_size (void const *configuration) const =0
virtual Status | initialize (void const *configuration, void *host_workspace, void *device_workspace, cudaStream_t stream=nullptr) const =0
virtual Status | run (void const *arguments, void *host_workspace, void *device_workspace=nullptr, cudaStream_t stream=nullptr) const =0

## Constructor & Destructor Documentation

virtual cutlass::library::Operation::~Operation | ( |  | ) |
| inlinevirtual

## Member Function Documentation

virtual Status cutlass::library::Operation::can_implement | ( | void const * | configuration,
|  | void const * | arguments
| ) |  | const
| pure virtual

virtual OperationDescription const& cutlass::library::Operation::description | ( |  | ) | const
| pure virtual

virtual uint64_t cutlass::library::Operation::get_device_workspace_size | ( | void const * | configuration | ) | const
| pure virtual

virtual uint64_t cutlass::library::Operation::get_host_workspace_size | ( | void const * | configuration | ) | const
| pure virtual

virtual Status cutlass::library::Operation::initialize | ( | void const * | configuration,
|  | void * | host_workspace,
|  | void * | device_workspace,
|  | cudaStream_t | stream = `nullptr`
| ) |  | const
| pure virtual

virtual Status cutlass::library::Operation::run | ( | void const * | arguments,
|  | void * | host_workspace,
|  | void * | device_workspace = `nullptr`,
|  | cudaStream_t | stream = `nullptr`
| ) |  | const
| pure virtual

The documentation for this class was generated from the following file:

- library.h